package com.friday.dynamic.core;

import com.google.common.collect.Lists;
import com.google.common.collect.Sets;

import java.util.List;
import java.util.Set;

public abstract class ModuleConfig {

    public abstract String name();

    public abstract String version();

    public abstract String desc();

    public Set<String> scanPackages() {
        return Sets.newHashSet(this.getClass().getPackage().getName());
    }

    public Set<String> overridePackages() {
        return Sets.newHashSet(this.getClass().getPackage().getName());
    }

    public List<BizDubboConfig> dubboConfigList() {return Lists.newArrayList();}

}